<!DOCTYPE html>
<html>
<head>
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
	<title>Bootstrap Components</title>
</head>
<body>
<!-- Navbar session start -->
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <div class="container-fluid">
    <a class="navbar-brand" href="#">Ada Lovelace</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav ms-auto">
        <li class="nav-item">
        	<!-- active -->
          <a class="nav-link active" aria-current="page" href="#">About Me</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">Projects</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">Contacts</a>
        </li>
      </ul>
    </div>
  </div>
</nav>
<!-- Navbar session end -->

<!-- Main Content Section Start -->
<div class="container-fluid text-center">
	<div class="row">
		<!--  acc-
      ordion start  -->
		<div class="accordion col-xl-2 d-none d-xl-block p-0" id="accordionExample">

  <div class="accordion-item">

    <h2 class="accordion-header" id="headingOne">
      <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
        Services
      </button>
    </h2>

    <div id="collapseOne" class="accordion-collapse collapse show" aria-labelledby="headingOne" data-bs-parent="#accordionExample">

      <div class="accordion-body">
        <!-- remove bullet points -->
        <ul class="list-inline text-start">
          <li>Frontend Design</li>
          <li>Backend Server</li>
          <li>Full Stack Development</li>
        </ul>
      </div>
    </div>
  </div>

  <div class="accordion-item">

    <h2 class="accordion-header" id="headingTwo">
      <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
       Projects
      </button>
    </h2>

    <div id="collapseTwo" class="accordion-collapse collapse" aria-labelledby="headingTwo" data-bs-parent="#accordionExample">
      <div class="accordion-body">
        <ul class="list-inline text-start">
          <li>HTML</li>
          <li>Bootstrap</li>
          <li>Node JS Server</li>
        </ul>
      </div>
    </div>
  </div>

  <div class="accordion-item">

    <h2 class="accordion-header" id="headingThree">
      <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
        Tools
      </button>
    </h2>

    <div id="collapseThree" class="accordion-collapse collapse" aria-labelledby="headingThree" data-bs-parent="#accordionExample">
      <div class="accordion-body">
       <ul class="list-inline text-start">
          <li>Other Tools</li>
          <li>Core Tools</li>
        </ul>
      </div>
    </div>
  </div>
</div>
		<!--  accordion end  -->
    <!-- side content section start-->
    <div class="col-xl-10 p-0">
      
        <!-- Profile Section Start -->
        <div class="container-fluid bg-dark text-light min-vh-100 p-3 p-md-5">
          
          <img class="mt-5 mt-md-0 rounded-circle" src="./images/ada.jpg" width="250">
          <h1>Ada Lovelace</h1>
          <h3>Full Stack Developer</h3>

          <!-- you can direct it into h3 but there's going to be an error with display and it might overflow
          also, if you want to put other content beside the paragraph content you might want to use the row class for efficiency -->

          <div class="row mt-5">
            <div class="offset-md-2 col-md-8">
              <!-- lorem+tab -->
              <p>
                Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
                tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
                quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
                consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
                cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
                proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
              </p>
            </div>

          </div>
      <!-- Carousel Sec Start -->
<div class="row d-none d-md-block mt-md-5">
  <div class="offset-xl-3 col-xl-6">
    <div id="carouselExampleCaptions" class="carousel slide" data-bs-ride="carousel">

    <div class="carousel-indicators">
      <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="0" class="active" aria-current="true" aria-label="Slide 1">
      </button>
        <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="1" aria-label="Slide 2"></button>
          <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="2" aria-label="Slide 3"></button>
    </div>

  <div class="carousel-inner">
    <div class="carousel-item active">
       <img src="https://place-puppy.com/500x300" class="d-block w-100" alt="puppy">
       <div class="carousel-caption d-none d-md-block">
        <h5 class="text-danger fw-bold">Dangerous Puppy</h5>
        <p class="bg-secondary bg-gradient text-white p-1 rounded">Beware of the fierce puppy!</p>
      </div>
    </div>

    <div class="carousel-item">
      <img src="http://placekitten.com/500/300" class="d-block w-100" alt="kitten">
      <div class="carousel-caption d-none d-md-block">
        <h5 class="text-danger fw-bold">The Mighty Meow</h5>
        <p class="bg-secondary bg-gradient text-white p-1 rounded">The might kitten is back</p>
      </div>
    </div>

    <div class="carousel-item">
      <img src="https://placebear.com/500/300" class="d-block w-100" alt="bear">
      <div class="carousel-caption d-none d-md-block">
        <h5 class="text-danger fw-bold">Big Brown Bear</h5>
        <p>Big Brown Bear has awoken from his slumber</p>
      </div>
    </div>
  </div>

      <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
         <span class="visually-hidden">Previous</span>
        </button>
      <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide="next">
         <span class="carousel-control-next-icon" aria-hidden="true"></span>
           <span class="visually-hidden">Next</span>
         </button>
</div>
</div>
</div>
<!-- Carousel Sec End -->
</div>
        <!-- Profile Section End -->  
           <!-- Other Projects Section Start -->
        <div class="bg-secondary text-light min-vh-100 p-5">
            <h2>Other Projects</h2>
            <!-- Other Projects Container Start -->
            <div class="d-lg-flex justify-content-center p-md-5">
              <!-- HTML Card Start -->
              <!-- card 1 -->
              <div class="card bg-dark col-xl-4 mb-5 mb-xl-0">
                <img src="./images/html.jpg" class="card-img-top" alt="html images">
                <div class="card-body">
                <h5 class="card-title">HTML</h5>
                <h6 class="card-subtitle text-muted mb-2">Programming Basics</h6>
                <p class="card-text">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
                tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
                quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
                consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
                cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
                proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                 <a href="#" class="btn btn-secondary">Link to Project</a>
                </div>
                </div>

              <!-- HTML Card End -->
              <!-- Bootstrap Card Start -->
              <div class="card bg-dark col-xl-4 mb-5 mb-xl-0 mx-xl-5">
                <img src="./images/bootstrap.png" class="card-img-top" alt="bootstrap images">
                <div class="card-body">
                <h5 class="card-title">Bootstrap</h5>
                <h6 class="card-subtitle text-muted mb-2">Rapid Prototyping</h6>
                <p class="card-text">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
                tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
                quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
                consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
                cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
                proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                 <a href="#" class="btn btn-secondary">Link to Project</a>
                </div>
                </div>
              <!-- Bootstrap Card End -->
              <!-- Node JS Server Card Start -->
              <!-- Node JS Server Card End -->
              <div class="card bg-dark col-xl-4 mb-5 mb-xl-0">
                <img src="./images/nodejs.png" class="card-img-top" alt="nodejs images">
                <div class="card-body">
                <h5 class="card-title">Node JS Server</h5>
                <h6 class="card-subtitle text-muted mb-2">Backed Basics</h6>
                <p class="card-text">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
                tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
                quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
                consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
                cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
                proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                 <a href="#" class="btn btn-secondary">Link to Project</a>
                </div>
                </div>

            </div>
            <!-- Other Projects Container Start -->
  
        </div>
            <!-- Other Projects Section end -->
        <!-- Contact Form Section Start-->
        <div class="bg-dark min-vh-100 p-5">
          <h2 class="text-light">Contact Me</h2>

    <div class="row mt-3">
    <form class="col-12 offset-sm-3 offset-md-3 offset-xl-3 col-md-8 col-xl-4 bg-secondary p-3 w-50 rounded">
<!-- Name -->
    <div class="mb-3">
    <label for="name" class="form-label text-light">Name</label>
    <input type="text" class="form-control" id="name" aria-describedby="nameHelp" placeholder="Your Name">
    </div>
<!-- email -->
    <div class="mb-3">
    <label for="email" class="form-label text-light">Email Address</label>
    <input type="email" class="form-control" id="email" placeholder="name@example.com">
    </div>
<!-- others -->
    <div class="mb-3">
    <label for="contactNumber" class="form-label text-light">Contact Number</label>
    <input type="text" class="form-control" id="contactNumber" placeholder="+6390 000 000">
    </div>
  <!--  -->
    <div class="mb-3">
      <label class="text-light form-label" for="concern">Concern</label>
      <select class="form-select" id="concern">
          <option>Quotation</option>
          <option>Appointment</option>
          <option>Follow Up</option>
      </select>
      <div class="mb-3">
        <label class="text-light form-label" for="message">Message Me</label>
        <textarea class="form-control" id="message" rows="7"></textarea>
      </div>
    </div>
<!-- Submit -->
    <button type="submit" class="btn btn-secondary">Send Message</button>
    </form>
          </div>

        </div>
        <!-- Contact Form Section End-->
</div>
    <!-- side content section end-->

	</div>
</div>

<!-- Main Content Section End -->

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
</body>
</html>